Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# spec file for package nodejs-nodejs-async-some

%global npm_name async-some


%global enable_tests 1

Name:		nodejs-async-some
Version:	1.0.2
Release:	alt1_7
Summary:	Short-circuited, asynchronous version of Array.prototype.some
Url:		https://github.com/othiym23/async-some
Source0:	https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
License:	ISC

BuildArch:	noarch

BuildRequires:	node-devel rpm-build-nodejs
BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:	npm(dezalgo)
BuildRequires:	npm(tap)
%endif
Source44: import.info

%description
Short-circuited, asynchronous version of Array.prototype.some

%prep
%setup -q -n package

#%{nodejs_fixdep} tap

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json some.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%files
%{nodejs_sitelib}/async-some

%doc README.md
%doc --no-dereference LICENSE

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_7
- new version

